Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.fixedinput
Class FixedFileInputField

    java.lang.Object
      org.pentaho.di.trans.steps.fixedinput.FixedFileInputField

All Implemented Interfaces:
  Cloneable, org.pentaho.di.core.xml.XMLInterface

    public class FixedFileInputField

extends Object
implements Cloneable, org.pentaho.di.core.xml.XMLInterface

Field Summary
`static String` | `XML_TAG`

Constructor Summary
`FixedFileInputField()`
`FixedFileInputField(Node fnode)`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getCurrency()`
`String` | `getDecimal()`
`String` | `getFormat()`
`String` | `getGrouping()`
`int` | `getLength()`
`String` | `getName()`
`int` | `getPrecision()`
`String[]` | `getSamples()`
`int` | `getTrimType()`
`int` | `getType()`
`int` | `getWidth()`
`String` | `getXML()`
`void` | `guess()`
`static int` | `guessPrecision(double d)`
`void` | `guessType()`
`void` | `setCurrency(String currency)`
`void` | `setDecimal(String decimal)`
`void` | `setFormat(String format)`
`void` | `setGrouping(String grouping)`
`void` | `setLength(int length)`
`void` | `setName(String name)`
`void` | `setPrecision(int precision)`
`void` | `setSamples(String[] samples)`
`void` | `setTrimType(int trimType)`
`void` | `setType(int type)`
`void` | `setWidth(int width)`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XML_TAG

    public static final String XML_TAG

See Also:
  Constant Field Values

Constructor Detail

### FixedFileInputField

    public FixedFileInputField(Node fnode)

### FixedFileInputField

    public FixedFileInputField()

Method Detail

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### getXML

    public String getXML()

  Specified by:
    `getXML` in interface `org.pentaho.di.core.xml.XMLInterface`

### getName

    public String getName()

  Returns:
    the name

### setName

    public void setName(String name)

  Parameters:
    `name` - the name to set

### getType

    public int getType()

  Returns:
    the type

### setType

    public void setType(int type)

  Parameters:
    `type` - the type to set

### getWidth

    public int getWidth()

  Returns:
    the width

### setWidth

    public void setWidth(int width)

  Parameters:
    `width` - the width to set

### getLength

    public int getLength()

  Returns:
    the length

### setLength

    public void setLength(int length)

  Parameters:
    `length` - the length to set

### getPrecision

    public int getPrecision()

  Returns:
    the precision

### setPrecision

    public void setPrecision(int precision)

  Parameters:
    `precision` - the precision to set

### getFormat

    public String getFormat()

  Returns:
    the format

### setFormat

    public void setFormat(String format)

  Parameters:
    `format` - the format to set

### getDecimal

    public String getDecimal()

  Returns:
    the decimal

### setDecimal

    public void setDecimal(String decimal)

  Parameters:
    `decimal` - the decimal to set

### getGrouping

    public String getGrouping()

  Returns:
    the grouping

### setGrouping

    public void setGrouping(String grouping)

  Parameters:
    `grouping` - the grouping to set

### getCurrency

    public String getCurrency()

  Returns:
    the currency

### setCurrency

    public void setCurrency(String currency)

  Parameters:
    `currency` - the currency to set

### setSamples

    public void setSamples(String[] samples)

### getSamples

    public String[] getSamples()

  Returns:
    the samples

### guess

    public void guess()

### guessType

    public void guessType()

### guessPrecision

    public static final int guessPrecision(double d)

### getTrimType

    public int getTrimType()

### setTrimType

    public void setTrimType(int trimType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD